FilterToHandlerAdapter (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.plugins.web.filters

## [Groovy] Class FilterToHandlerAdapter

- org.grails.plugins.web.filters.FilterToHandlerAdapter

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.web.servlet.HandlerInterceptor, org.springframework.beans.factory.InitializingBean

      @groovy.transform.CompileStatic
      class FilterToHandlerAdapter
      extends java.lang.Object

  Adapter between a FilterConfig object and a Spring HandlerInterceptor.

  Authors:
    mike
    Graeme Rocher

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.regex.Pattern` | `actionExcludeRegex`
    `java.util.regex.Pattern` | `actionRegex`
    `java.lang.Object` | `configClass`
    `java.util.regex.Pattern` | `controllerExcludeRegex`
    `java.util.regex.Pattern` | `controllerNamespaceExcludeRegex`
    `java.util.regex.Pattern` | `controllerNamespaceRegex`
    `java.util.regex.Pattern` | `controllerRegex`
    `java.util.List` | `dependsOn`
    `FilterConfig` | `filterConfig`
    `GrailsApplication` | `grailsApplication`
    `boolean` | `invertRule`
    `org.springframework.util.AntPathMatcher` | `pathMatcher`
    `java.lang.String` | `uriExcludePattern`
    `java.lang.String` | `uriPattern`
    `org.springframework.web.util.UrlPathHelper` | `urlPathHelper`
    `boolean` | `useRegex`
    `boolean` | `useRegexFind`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `accept(java.lang.String controllerName, java.lang.String actionName, java.lang.String uri, java.lang.String controllerNamespace, GrailsControllerClass controllerClass)`
    `java.lang.String` | `actionName(javax.servlet.http.HttpServletRequest request)` Returns the name of the action targeted by the given request.
    `void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)`
    `void` | `afterPropertiesSet()`
    `GrailsControllerClass` | `controllerClass(javax.servlet.http.HttpServletRequest request)`
    `java.lang.String` | `controllerName(javax.servlet.http.HttpServletRequest request)` Returns the name of the controller targeted by the given request.
    `java.lang.String` | `controllerNamespace(javax.servlet.http.HttpServletRequest request)` Returns the namespace of the controller targeted by the given request.
    `boolean` | `doesMatch(java.util.regex.Pattern pattern, java.lang.CharSequence string)`
    `void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)`
    `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)`
    `void` | `setGrailsApplication(GrailsApplication grailsApplication)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `uri(javax.servlet.http.HttpServletRequest request)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.regex.Pattern actionExcludeRegex

    - #### java.util.regex.Pattern actionRegex

    - #### java.lang.Object configClass

    - #### java.util.regex.Pattern controllerExcludeRegex

    - #### java.util.regex.Pattern controllerNamespaceExcludeRegex

    - #### java.util.regex.Pattern controllerNamespaceRegex

    - #### java.util.regex.Pattern controllerRegex

    - #### java.util.List dependsOn

    - #### FilterConfig filterConfig

    - #### GrailsApplication grailsApplication

    - #### boolean invertRule

    - #### org.springframework.util.AntPathMatcher pathMatcher

    - #### java.lang.String uriExcludePattern

    - #### java.lang.String uriPattern

    - #### org.springframework.web.util.UrlPathHelper urlPathHelper

    - #### boolean useRegex

    - #### boolean useRegexFind

  - ### Method Detail

    - #### boolean accept(java.lang.String controllerName, java.lang.String actionName, java.lang.String uri, java.lang.String controllerNamespace, GrailsControllerClass controllerClass)

    - #### java.lang.String actionName(javax.servlet.http.HttpServletRequest request)

      Returns the name of the action targeted by the given request.

    - #### void afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, java.lang.Exception e)

    - #### void afterPropertiesSet()

    - #### GrailsControllerClass controllerClass(javax.servlet.http.HttpServletRequest request)

    - #### java.lang.String controllerName(javax.servlet.http.HttpServletRequest request)

      Returns the name of the controller targeted by the given request.

    - #### java.lang.String controllerNamespace(javax.servlet.http.HttpServletRequest request)

      Returns the namespace of the controller targeted by the given request.

    - #### boolean doesMatch(java.util.regex.Pattern pattern, java.lang.CharSequence string)

    - #### void postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o, org.springframework.web.servlet.ModelAndView modelAndView)

    - #### boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object o)

    - #### void setGrailsApplication(GrailsApplication grailsApplication)

    - #### java.lang.String toString()

    - #### java.lang.String uri(javax.servlet.http.HttpServletRequest request)